import { Sequelize } from 'sequelize';

const warehouseConfig = {
    warehouseFk: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        allowNull: false,
    },
    entryFk: {
        type: Sequelize.INTEGER,
        allowNull: false,
    },
    travellingDays: {
        type: Sequelize.INTEGER,
        default: 0,
        allowNull: false,
    },
    dayRange: {
        type: Sequelize.INTEGER,
        default: 0,
        allowNull: false,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'vnWarehouseConfig',
        warehouseConfig,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
