import { Sequelize } from 'sequelize';

const clockPresaleSupply = {
	supplyLineId: {
		type: Sequelize.STRING,
		primaryKey: true,
	},
	status: {
		type: Sequelize.STRING,
	},
	tradeItemId: {
		type: Sequelize.STRING,
	},
	pricePerPiece_currency: {
		type: Sequelize.STRING,
	},
	pricePerPiece_value: {
		type: Sequelize.DECIMAL(10,2),
	},
	deliveryNoteReference: {
		type: Sequelize.STRING,
	},
	numberOfPieces: {
		type: Sequelize.INTEGER,
	},
	packingConfigurations: {
		type: Sequelize.JSON,
	},
	tradePeriod_startDateTime: {
		type: Sequelize.DATE,
	},
	tradePeriod_endDateTime: {
		type: Sequelize.DATE,
	},
	organizationId: {
		type: Sequelize.STRING,
	},
	tradeInstrument: {
		type: Sequelize.STRING,
	},
	salesChannel: {
		type: Sequelize.STRING,
	},
	sequenceNumber: {
		type: Sequelize.INTEGER,
	},
	creationDateTime: {
		type: Sequelize.DATE,
	},
	lastModifiedDateTime: {
		type: Sequelize.DATE,
	},
};

export default (sequelize) => {
	return sequelize.define(
		'supplyLineClockPresaleSupply',
		clockPresaleSupply, {
			timestamps: false,
			freezeTableName: true,
		}
	);
};