import { Sequelize } from 'sequelize';

const packingConfiguration = {
    packingConfigurationId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    packageVbnPackageCode: {
        type: Sequelize.INTEGER,
    },
    packageCustomPackageId: {
        type: Sequelize.STRING,
    },
    piecesPerPackage: {
        type: Sequelize.INTEGER,
    },
    bunchesPerPackage: {
        type: Sequelize.INTEGER,
    },
    photoUrl: {
        type: Sequelize.STRING,
    },
    packagesPerLayer: {
        type: Sequelize.INTEGER,
    },
    layersPerLoadCarrier: {
        type: Sequelize.INTEGER,
    },
    transportHeightInCm: {
        type: Sequelize.INTEGER,
    },
    loadCarrierType: {
        type: Sequelize.STRING,
    },
    additionalPricePerPieceCurrency: {
        type: Sequelize.STRING,
    },
    additionalPricePerPieceValue: {
        type: Sequelize.INTEGER,
    },
    isPrimary: {
        type: Sequelize.BOOLEAN,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'supplyLinePackingConfiguration',
        packingConfiguration,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
