import { Sequelize } from 'sequelize';

const packingConfiguration = {
    packingConfigurationId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    piecesPerPackage: {
        type: Sequelize.INTEGER,
    },
    bunchesPerPackage: {
        type: Sequelize.INTEGER,
    },
    photoUrl: {
        type: Sequelize.STRING,
    },
    packagesPerLayer: {
        type: Sequelize.INTEGER,
    },
    layersPerLoadCarrier: {
        type: Sequelize.INTEGER,
    },
    additionalPricePerPiece_currency: {
        type: Sequelize.STRING,
    },
    additionalPricePerPiece_value: {
        type: Sequelize.STRING,
    },
    transportHeightInCm: {
        type: Sequelize.INTEGER,
    },
    loadCarrierType: {
        type: Sequelize.STRING,
    },
    isPrimary: {
        type: Sequelize.BOOLEAN,
    },
};

export default (sequelize) => {
    return sequelize.define(
        'tradeItemPackingConfiguration',
        packingConfiguration,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
};
